
QGIS Application - Bug report #4076

Hanging on trying to use --snapshot option from command line

2011-07-13 01:17 PM - Maxim Dubinin

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 14059

Description

Trying to use --snapshot option to export raster with 1000x1000 dimensions (no extent) set from command line according to the

description from http://underdark.wordpress.com/2010/11/30/creating-high-resolution-images-using-qgis/

QGIS opens up the project but hangs indefinitely without producing anything.

Win7, QGIS trunk 4c2e54c (OSGeo4W)

Related issues:

Duplicated by QGIS Application - Bug report # 8256: QGis from command line Closed 2013-07-10

History

#1 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:28 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-07-22 01:14 AM - Sake Wagenaar

- File screen_print.png added

I have the same problem when I try to generate snapshots of a series of vector maps from a batch file (and also with a single snapshot from the command

line). Several instances of QGIS are started. No images are saved and QGIS doesn't respond. The problem only occurs if I use the labeling function from

the Layer menu. Not if I use the old labeling function from the Labels tab (Layer properties dialog).

I'm using QGIS 1.8.0, installed with the OSGeo4W installer (Windows 7).

#4 - 2012-07-23 06:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

Maxim, can you confirm if in your case it is a matter of having labels enabled or not?

#5 - 2012-07-24 01:21 PM - Sake Wagenaar
http://underdark.wordpress.com/2010/11/30/creating-high-resolution-images-using-qgis/


Today, I tried to generate snapshots on two different computers, both with Windows XP and QGIS 1.8.0 installed. On both systems this operation failed.

Even for a simple vector map without labels no snapshot was made and QGIS didn't respond.

#6 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-02-19 07:23 PM - Amit Kulkarni

This seems to work on master... If I leave off extents + height/width qgis creates a default 800 x 600 png image.

#8 - 2013-04-22 12:11 PM - Jason Paul Joines

I'm using Quantum GIS 1.8.0-Lisboa (package 1.8.0-1~precise3) on Kubuntu 12.04.2.  I've just started working through the User Guide and am at the

--snapshot explanation.

I had a session up and running with the landcover.img and lakes.gml files loaded from sample data, then tried "qgis --snapshot snapshot000.png" from a

separate terminal window which fired up a new QGIS session and made a PNG of an empty white background.

Then I saved my project, closed QGIS and tried "qgis --project userguide.qgs --snapshot snapshot001.png".  That resulted in less than a second of my

project being displayed followed by a white background session and the mouse pointer spinning around in waiting mode.  After several minutes, I killed the

session and tried again.  It hangs each time.

Then I opened my project interactively again and used the File --> Save as Image... to create the snapshot which worked just fine.

I thought displaying Tool Tips at startup might be causing the problems so I disabled that but no luck.  Then I disabled showing the logo with "qgis --nologo

--project userguide.qgs --snapshot snapshot001.png" but the session still hangs each time without creating a snapshot until I kill it.

#9 - 2013-06-01 03:57 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

seems to work on master. Reopen if necessary.

#10 - 2013-07-19 03:39 AM - Sake Wagenaar

- File QGIS19_Test_snapshots.zip added

- Status changed from Closed to Reopened

I tested the snapshot function with QGIS 1.9.0-Master (ddef9a9) on two systems (Windows 7 and Windows 8). The test failed on both systems. After the

map is shown, the program does not react anymore and no snapshot is made. I used this command:

C:\\OSGeo4W\\bin\\qgis-dev.bat --project test.qgs --snapshot test.png

I uploaded a ZIP-file with a test project.

#11 - 2013-07-20 03:24 AM - Giovanni Manghi

- Resolution deleted (worksforme)
- OS version deleted (7)

I confirm that does not work on Windows, but is ok on Linux.

#12 - 2013-07-20 03:28 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#13 - 2013-07-20 03:59 AM - Sake Wagenaar

The snapshot function no longer works on openSUSE Linux (QGIS 1.8)!

#14 - 2013-07-20 04:00 AM - Giovanni Manghi

Sake Wagenaar wrote:

The snapshot function no longer works on openSUSE Linux (QGIS 1.8)!

you must test qgis master anyway.

#15 - 2013-07-21 01:52 PM - Daniel Vaz

Probably it is specific for windows. I test on Linux (Ubuntu 13.04) using master and it works.

#16 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#17 - 2015-12-03 07:30 AM - Médéric RIBREUX

- Status changed from Reopened to Feedback

Hello, bug triage...

I can't reproduce it on Debian Stretch with QGIS 2.13 master. I will try it on MS Windows tomorrow...

#18 - 2015-12-20 08:11 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

it works also on Windows.

Files

screen_print.png 50.7 KB 2012-07-21 Sake Wagenaar

QGIS19_Test_snapshots.zip 73.6 KB 2013-07-19 Sake Wagenaar
